Redmine - Feature #20822

No private issue notifications
2015-09-23 12:54 - Karel Piéman

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid

Description
Email notifications of private issues shouldn't be sent to all project members

History

#1 - 2015-10-21 11:26 - Toshi MARUYAMA

- Subject changed from Private issue notifications to No private issue notifications

#2 - 2015-10-21 11:29 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#3 - 2015-10-21 11:35 - Toshi MARUYAMA

Sorry, | cannot get your intention.

Your patch send mail to assignee, right?

Your patch change behavior.

| think it is better to add checkbox on issue form such as ChiliProject.
https://www.chiliproject.org/issues/310

#4 - 2015-10-21 15:53 - Karel Picman

My intention is related to PRIVATE issues only. While private issues are hidden to the project members except the author and the assignee, the email
notifications are distributed to all project members. And that's wrong, | think.

#5 - 2015-10-21 16:18 - Toshi MARUYAMA
Karel Piéman wrote:
While private issues are hidden to the project members except the author and the assignee,

It is not true.
Private issue visibility can be defined at role "Issues visibility".

#6 - 2015-10-22 12:04 - Karel Piéman

You're right. From that perspective my patch is wrong. However, the problem persists. In case of an update of a private issue, all members of the
project get notifications despite the fact they are not allowed to view the issue.

#7 - 2015-10-22 12:19 - Karel Picman

- Status changed from New to Resolved

| see it now. That's a complete misunderstanding from my site. Sorry for your time. You can close it as /nvalid.

#8 - 2015-10-22 12:23 - Toshi MARUYAMA

Karel Piéman wrote:

all members of the project get notifications despite the fact they are not allowed to view the issue.

Really?

source:tags/3.1.1/app/models/issue.rb#l 889
https://www.chiliproject.org/issues/310
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.1.1/app/models/issue.rb#L889

# Remove users that can not view the issue
notified.reject! {|user| !visible? (user)}

#9 - 2015-10-22 12:23 - Toshi MARUYAMA
- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you.

Files

private_issue_notifications.diff

2025-05-02

946 Bytes

2015-09-23

Karel Pi¢man

22


http://www.tcpdf.org

